### Method

# Gdk Paintableinvalidate_contents

#### Declaration [src]

    void
    gdk_paintable_invalidate_contents (
      GdkPaintable* paintable
    )

#### Description [src]

Called by implementations of `GdkPaintable` to invalidate their contents.

Unless the contents are invalidated, implementations must guarantee that multiple calls of `gdk_paintable_snapshot()` produce the same output.

This function will emit the `GdkPaintable::invalidate-contents` signal.

If a `paintable` reports the `GDK_PAINTABLE_STATIC_CONTENTS` flag, it must not call this function.